<template>
  <li>
    <div>
      {{ folder.root ? '' : folder.name }}
    </div>
    <ul v-if="folder.folders">
      <Folders v-for="(child, idx) in folder.folders" :key="idx" :folder="child" />
    </ul>
  </li>
</template>

<script setup>
const props = defineProps({
  folder: {
    type: Object,
    required: true,
  },
});
</script>

<style lang="scss">
ul {
  padding-left: 1em;
  list-style-type: dot;
}
</style>
